Loading...
Searching...
No Matches
utils.h File Reference
SPA » Node

`spa/node/utils.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_result_node_params_data

## Macros

#define | spa_node_emit(hooks, method, version, ...)
#define | spa_node_emit_info(hooks, ...) spa_node_emit(hooks,info, 0, __VA_ARGS__)
#define | spa_node_emit_port_info(hooks, ...) spa_node_emit(hooks,port_info, 0, __VA_ARGS__)
#define | spa_node_emit_result(hooks, ...) spa_node_emit(hooks,result, 0, __VA_ARGS__)
#define | spa_node_emit_event(hooks, ...) spa_node_emit(hooks,event, 0, __VA_ARGS__)
#define | spa_node_call(callbacks, method, version, ...)
#define | spa_node_call_ready(hook, ...) spa_node_call(hook, ready, 0, __VA_ARGS__)
#define | spa_node_call_reuse_buffer(hook, ...) spa_node_call(hook, reuse_buffer, 0, __VA_ARGS__)
#define | spa_node_call_xrun(hook, ...) spa_node_call(hook, xrun, 0, __VA_ARGS__)

## Functions

static void | spa_result_func_node_params (void *data, int seq, int res 1, uint32_t type 1, const void *result)
static int | spa_node_enum_params_sync (struct spa_node *node, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)
static int | spa_node_port_enum_params_sync (struct spa_node *node, enum spa_direction direction, uint32_t port_id, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)

## Detailed Description

`spa/node/utils.h`